<?php require_once('Connections/cn.php'); ?>
<?php
//header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$docente= $_REQUEST["d"];
$carrera= $_REQUEST["c"];
$materia=$_REQUEST["id"];
$periodo=$_REQUEST["p"];
// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_turnos = "Select distinct
inscripciones.turno,
turnos.turno as nombre_turno
From
inscripciones
Inner Join turnos ON inscripciones.turno = turnos.codigo
where inscripciones.id_docente='$docente' and inscripciones.id_carrera='$carrera' and inscripciones.id_materia='$materia' and inscripciones.id_periodo='$periodo' ORDER BY inscripciones.turno";
$rst_turnos = mysql_query($query_turnos, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$total_rows_turnos = mysql_num_rows($rst_turnos);  

if($total_rows_turnos >0)
{
    
	$array_select1 = array(0=>"0");
	$array_select2 = array(0=>"Seleccione...");
	$code=1;
	while($turnos = mysql_fetch_assoc($rst_turnos))
		{
		
			$array_select1[$code] = $turnos["turno"];		
			$array_select2[$code]=  $turnos["nombre_turno"];	
			$code += 1;
		}
}		

// Bucle para cargar los turnos de las materias que tiene asignadas el docente.
for ($i=0; $i<count($array_select2);$i++){
	echo "<option value=".$array_select1[$i].">".$array_select2[$i]."</option>";
}

?>